Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 54238 - vuescan-8.0.4.ebuild (New Package)
Summary: vuescan-8.0.4.ebuild (New Package)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal with 4 votes (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on: 172757
Blocks:
  Show dependency tree
 
Reported: 2004-06-17 17:37 UTC by The Master
Modified: 2018-06-07 18:25 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
vuescan-8.0.4.ebuild (vuescan-8.0.4.ebuild,859 bytes, text/plain)
2004-06-17 17:38 UTC, The Master
Details
vuescan-8.3.59.ebuild (vuescan-8.3.59.ebuild,1.03 KB, text/plain)
2006-08-20 03:33 UTC, Peter Gantner (a.k.a. nephros)
Details
vuescan-8.4.16.ebuild (vuescan-8.4.16.ebuild,1.21 KB, text/plain)
2007-03-29 18:01 UTC, kavol
Details
vuescan-8.4.17.ebuild (vuescan-8.4.17.ebuild,1.27 KB, text/plain)
2007-04-02 11:13 UTC, kavol
Details
vuescan-8.4.18.ebuild (vuescan-8.4.18.ebuild,1.36 KB, text/plain)
2007-04-15 20:30 UTC, kavol
Details
VueScan.png (VueScan.png,10.23 KB, image/png)
2007-04-23 13:54 UTC, kavol
Details
vuescan-8.4.19.ebuild (vuescan-8.4.19.ebuild,1.40 KB, text/plain)
2007-04-23 13:56 UTC, kavol
Details
tested on x86 only (vuescan-8.4.71.ebuild,1.69 KB, text/plain)
2008-05-20 14:47 UTC, Ilya Kashirin
Details
tested on x86 only (vuescan-8.4.71.ebuild,1.77 KB, text/plain)
2008-05-20 15:55 UTC, Ilya Kashirin
Details
tested on x86 only (vuescan-8.4.96.ebuild,2.06 KB, text/plain)
2008-11-30 09:29 UTC, Ilya Kashirin
Details
vuescan-8.5.0.ebuild (vuescan-8.5.0.ebuild,2.06 KB, text/plain)
2008-12-28 03:36 UTC, flacvest
Details
32-bit libusb needed for making VueScan work on amd64; obtained from ubuntu's repositories (libusb-0.1-4_0.1.12-7_i386.deb,18.62 KB, application/octet-stream)
2008-12-28 03:44 UTC, flacvest
Details
VueScan.desktop (VueScan.desktop,247 bytes, text/plain)
2008-12-28 03:49 UTC, flacvest
Details

Note You need to log in before you can comment on or make changes to this bug.
Description The Master 2004-06-17 17:37:53 UTC
VueScan is a high-quality proprietary alternative to SANE (Scanner Access Now Easy). It's license file can be accessed @ "http://www.hamrick.com/vuescan/vuescan.htm#warranty"

-- The Master
Comment 1 The Master 2004-06-17 17:38:23 UTC
Created attachment 33452 [details]
vuescan-8.0.4.ebuild
Comment 2 Denilson Sá 2005-11-29 12:04:37 UTC
http://www.hamrick.com/vsm.html
Vuescan is a really high-quality scanner software. It supports more than 400 
SCSI, USB and Firewire scanners.

More than one year has passed since this bug was added, VueScan is currently at 
version 8.3.13 for Linux, and it is not yet in portage.
Comment 3 kavol 2006-01-28 11:45:22 UTC
The current version is 8.3.26 :-)

Unfortunately, there is no 64bit build (and it is not planned), and the Gentoo emul-linux-x86 libraries are missing libusb (or I haven't found it?)

I tried to make 32bit chroot, but VueScan did not detect my scanner (Canon FS4000 attached at SCSI)
Comment 4 Roger 2006-05-26 02:53:09 UTC
Some criticism for this ebuild:

1)  Gimp, mozilla, and libusb are not run-time depends.  Libusb is only required for certain scanners.  Some users prefer other browsers and viewers besides mozilla and the gim.

2)  This ebuild installs everything into /opt/vuescan including bin and doc files.  

I'll see if I can get some time to work on these two issues including updating it to version 8.3.

:-)
Comment 5 kavol 2006-05-28 06:13:33 UTC
(In reply to comment #4)
> 1)  Gimp, mozilla, and libusb are not run-time depends.  Libusb is only
> required for certain scanners.

well, I am using SCSI connection with my Canon FS4000 and VueScan still refuses to start without libusb, so in my point of view libusb *is* a run-time dependency ...

unfortunately, (as I write in comment #3) I am unable to run it on AMD64, it says:

kavol@jarmilka ~/bin/vuescan-8.3.46 $ ./vuescan
./vuescan: error while loading shared libraries: libusb-0.1.so.4: cannot open shared object file: No such file or directory
kavol@jarmilka ~/bin/vuescan-8.3.46 $ locate libusb-0.1.so.4
/usr/lib64/libusb-0.1.so.4.4.2
/usr/lib64/libusb-0.1.so.4

while I have every possible compat libraries installed:
kavol@jarmilka ~/bin/vuescan-8.3.46 $ equery l emul-linux
[ Searching for package 'emul-linux' in all categories among: ]
 * installed packages
[I--] [  ] app-emulation/emul-linux-x86-baselibs-2.4.2 (0)
[I--] [  ] app-emulation/emul-linux-x86-compat-1.0-r1 (0)
[I--] [M ] app-emulation/emul-linux-x86-glibc-1000 (0)
[I--] [  ] app-emulation/emul-linux-x86-gtklibs-2.3 (0)
[I--] [  ] app-emulation/emul-linux-x86-java-1.4.2.03-r1 (1.4.2)
[I--] [  ] app-emulation/emul-linux-x86-medialibs-1.1-r1 (0)
[I--] [  ] app-emulation/emul-linux-x86-qtlibs-2.2 (0)
[I--] [  ] app-emulation/emul-linux-x86-sdl-2.3 (0)
[I--] [  ] app-emulation/emul-linux-x86-soundlibs-2.3 (0)
[I--] [  ] app-emulation/emul-linux-x86-xlibs-2.2.2 (0)

:-(
Comment 6 Peter Gantner (a.k.a. nephros) 2006-08-20 03:33:55 UTC
Created attachment 94677 [details]
vuescan-8.3.59.ebuild

ebuild for latest version.

Removed some of the deps and added an einfo about having mozilla.

Also added RESTRICT, I don't think Gentoo mirrors should host this - I could not find any licensing info on their home page so we better not distribute.

Still installs everything into /opt/vuescan, but that can't be helped because the app expects its documentation there and launches mozilla on that URL. (You also can't install or symlink the binary into /usr/bin because it expects vuescan.dat and vuescan.bmp in $CWD, which hould really live in /usr/share)

HTH.
Comment 7 Denilson Sá 2006-08-20 20:15:11 UTC
Just a comment: the vuescan site hosts the file with version number in it, but if you try to download any older version (by changing the number on URL), you will still get the same file (the newest).
Comment 8 kavol 2007-03-29 18:01:27 UTC
Created attachment 114877 [details]
vuescan-8.4.16.ebuild

new version (VueScan 8.4.16 released on March 22, 2007)

- updated header
- keyworded for AMD64
- removed obsolete virtual/x11 dependency (gtk depends on X anyway)
- removed lib-compat, current version runs against current libraries
- platform-dependant RDEPEND
- no longer needed to symlink gimp manually, removed note
- added warning for AMD64 (I was able to run VueScan with libusb copied from old Duron machine, it detected my scanner but it said it is not supported - blah, it works perfectly using SANE)
Comment 9 kavol 2007-04-02 11:13:36 UTC
Created attachment 115240 [details]
vuescan-8.4.17.ebuild

new version (VueScan 8.4.17 was released on March 30, 2007)

ok, no need to follow the (too short) release cycle of VueScan, but I made a change to the ebuild - I've rewritten the notice about Mozilla since the browser binary is configurable

p.s. when upgrading, do not forget to remove the old vuescan84.tgz from distfiles and regenerate digest *after* that, otherwise the package would not be updated from the web, since the name is the same, see the above posts

p.p.s. works perfectly on x86 with Canon FS4000US via usb
Comment 10 kavol 2007-04-15 20:30:28 UTC
Created attachment 116331 [details]
vuescan-8.4.18.ebuild

New version (VueScan 8.4.18 was released on April 9, 2007)

not so important program update (I suggest every newcomer to simply rename the ebuild to the actual version) but I made some improvements to the ebuild:

* updated GTK+ dependency, the current version uses version 2
* generate desktop entry so the program shows in menu
Comment 11 kavol 2007-04-23 13:54:08 UTC
Created attachment 117086 [details]
VueScan.png

VueScan icon - put it in files dir
Comment 12 kavol 2007-04-23 13:56:03 UTC
Created attachment 117088 [details]
vuescan-8.4.19.ebuild

one more improvement - use original VueScan icon
Comment 13 Ilya Kashirin 2008-05-20 14:47:49 UTC
Created attachment 153751 [details]
tested on x86 only
Comment 14 Ilya Kashirin 2008-05-20 14:52:44 UTC
vuescan-8.4.71.ebuild 

works only under root. I don`t know how to fix to work under user.
Comment 15 Ilya Kashirin 2008-05-20 15:11:31 UTC
Temporary workaround:

edit "/etc/udev/rules.d/50-udev-default.rules", find the line that begins with "libusb device nodes" and change 0644 to 0666.

and

gpasswd -a username usb
Comment 16 kavol 2008-05-20 15:22:24 UTC
(In reply to comment #14)
> vuescan-8.4.71.ebuild 
> 
> works only under root. I don`t know how to fix to work under user.

hmm ... stupid question, as I see:

	fowners root:scanner /opt/vuescan/vuescan

is your user in the appropriate groups? (not just scanner, but usb and plugdev may be needed as well - don't know by heart the exact meanings of the groups, find it in docs)

btw, this is wrong:

SRC_URI="http://www.hamrick.com/files/${P}.tgz"

and btw:
		Comment=VueScan - easy scanning software

- it is not desirable to repeat Name within Coment

and btw:
		Icon=VueScan.png

- the .png suffix should not be used (well, why have I done it?)

and btw, are you sure with DEPEND sys-libs/libstdc++-v3 ? - I do not have a testing system available at hand ATM, but I'd bet that I used VueScan without it before (has anything changed upstream?)
Comment 17 kavol 2008-05-20 15:41:52 UTC
(In reply to comment #15)
> Temporary workaround:
> 
> edit "/etc/udev/rules.d/50-udev-default.rules", find the line that begins with
> "libusb device nodes" and change 0644 to 0666.

this really should not be needed, because the usb root device should have group 'usb' and the scanner device group 'scanner' both with permissions 0664, and as your user should be member of these groups, it should be able to control the scanner

this comes from /etc/udev/rules.d/65-permissions.rules and /etc/udev/rules.d/70-libsane.rules so if your scanner is not recognized, report a bug against udev or sane-backends (depending whether the problem is the 'usb' part or 'scanner' part)

> gpasswd -a username usb

that's what I said :) (scratch 'plugdev', it is for cameras)
- and it is not a workaround, it is a proper way how to enable users to work with usb devices
Comment 18 Ilya Kashirin 2008-05-20 15:55:06 UTC
Created attachment 153761 [details]
tested on x86 only

I have added depends on media-gfx/sane-backends.
media-gfx/sane-backends contain all needed rules for using Vuescan under user.

Just add user to group scanner: gpasswd -a username scanner
Comment 19 Ilya Kashirin 2008-05-20 16:04:49 UTC
>> and btw, are you sure with DEPEND sys-libs/libstdc++-v3

I tried run vuescan-8.4.71, but without sys-libs/libstdc++-v3 not worked. Says that libstdc++.so.5 not found
Comment 20 Ilya Kashirin 2008-05-20 16:04:58 UTC
>> and btw, are you sure with DEPEND sys-libs/libstdc++-v3

I tried run vuescan-8.4.71, but without sys-libs/libstdc++-v3 not worked. Says that libstdc++.so.5 not found
Comment 21 Ilya Kashirin 2008-05-20 16:34:47 UTC
i have not installed gcc-3.3*.

I guess, that  in RDEPEND  sys-libs/libstdc++-v3 needs change to

|| ( sys-libs/libstdc++-v3 =sys-devel/gcc-3.3* )
Comment 22 kavol 2008-05-21 07:24:01 UTC
(In reply to comment #18)
> I have added depends on media-gfx/sane-backends.
> media-gfx/sane-backends contain all needed rules for using Vuescan under user.

I thought that without sane-backends, the scanner device will default to group 'usb', so that sane-backends would not be needed if the user is in that group ... but I did not read the rules thoroughly, probably I am wrong

(In reply to comment #19)
> >> and btw, are you sure with DEPEND sys-libs/libstdc++-v3
> 
> I tried run vuescan-8.4.71, but without sys-libs/libstdc++-v3 not worked. Says
> that libstdc++.so.5 not found

ok ... I'd bet I did not have it installed, but I could not verify ATM

... hm, reading back through the comments, in #8 the compatibility libs were removed from dependencies, so something has to have changed since then - good catch! :)
Comment 23 Ilya Kashirin 2008-11-30 09:29:30 UTC
Created attachment 173850 [details]
tested on x86 only
Comment 24 flacvest 2008-12-28 03:36:53 UTC
Created attachment 176565 [details]
vuescan-8.5.0.ebuild

This is an updated ebuild for version 8.5.0 of VueScan.
Comment 25 flacvest 2008-12-28 03:44:51 UTC
Created attachment 176567 [details]
32-bit libusb needed for making VueScan work on amd64; obtained from ubuntu's repositories

I converted the library (a *.deb) via deb2targz and was able to install the resulting files, and update my system with an # etc-update && source /etc/profile to allow VueScan to run via terminal via /opt/vuescan/vuescan. I then added my regular user as reccomended via gpasswd -a username scanner , and was able to create a *.desktop entry which worked with the icon provided in the bug. Now I can evaluate VueScan with my new Epson Perfection V750 when it arrives and buy my key. Thanks to everyone who contributed...
Comment 26 flacvest 2008-12-28 03:49:14 UTC
Created attachment 176568 [details]
VueScan.desktop

Here is a sample VueScan.desktop entry which is pointed at an icon named vuescan.png in /usr/share/pixmaps (the very same icon as in earlier in this bug), and the exec is pointed at /opt/vuescan/vuescan

BTW, all testing for these files for ebuild version 8.5.0 were on ~amd64 by flacvest.
Comment 27 kavol 2008-12-28 17:42:34 UTC
(In reply to comment #26)
> Created an attachment (id=176568) [edit]
> VueScan.desktop
> 
> Here is a sample VueScan.desktop entry which is pointed at an icon named
> vuescan.png in /usr/share/pixmaps (the very same icon as in earlier in this
> bug), and the exec is pointed at /opt/vuescan/vuescan

well ... and what is the point in reinventing wheel, i.e. why are you providing a separate .desktop file when "your" ebuild creates one?

(and as for libusb, why to pollute bugzilla with attachments containting a file downloadable from hundreds of mirrors?)
Comment 28 flacvest 2008-12-28 17:52:33 UTC
(In reply to comment #27)
> (In reply to comment #26)
> > Created an attachment (id=176568) [edit]
> > VueScan.desktop
> > 
> > Here is a sample VueScan.desktop entry which is pointed at an icon named
> > vuescan.png in /usr/share/pixmaps (the very same icon as in earlier in this
> > bug), and the exec is pointed at /opt/vuescan/vuescan
> 
> well ... and what is the point in reinventing wheel, i.e. why are you providing
> a separate .desktop file when "your" ebuild creates one?
> 
> (and as for libusb, why to pollute bugzilla with attachments containting a file
> downloadable from hundreds of mirrors?)
> 
I apologize for any irritation to Anyone... it was not my intent... this is not a contest. I just couldn't get the ebuild to work for me and when I finally did I posted all the files so as to be complete and so that the community would have them. I thought that's what the GPL demanded. Maybe I was incorrect? Please educate me rather than damn me. I had a hard time finding a libusb that worked for amd64, and wanted to provide a working on is all.

I meant NO harm. CERTAINLY no offense. Please accept this verbal olive branch. Is there a better way to have gone about this?
Comment 29 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-08 16:12:18 UTC
(this is an automated message based on filtering criteria that matched this bug)

Hello, The Gentoo Team would like to firstly thank you for your ebuild
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to commit to and all users can have ebuilds reviewed by Gentoo devs for entry into the overlay.
So, the sunrise team is suggesting that you look into this and submit your
ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq